float4 vecSkill1;
float4 vecViewPort;
texture TargetMap;
texture camera_clean_bmap;

sampler2D smpOriginal = sampler_state
{
	Texture = <camera_clean_bmap>;
	
	MinFilter	= linear;
	MagFilter	= linear;
	MipFilter	= linear;
	
	AddressU		= Wrap;
	AddressV		= Wrap;
};

sampler2D smpScreen = sampler_state
{
	Texture = <TargetMap>;
	
	MinFilter	= linear;
	MagFilter	= linear;
	MipFilter	= linear;
	
	AddressU		= Wrap;
	AddressV		= Wrap;
};

float4 Shader(float2 tex : TEXCOORD0) : COLOR
{
	float4 Color = tex2D(smpScreen, tex*0.25)*0.5+tex2D(smpOriginal, tex);
	
	return Color;
}

technique tech_00
{
	pass pass_00
	{
		VertexShader = null;
		PixelShader = compile ps_2_0 Shader();
	}
}
